Bug 739202 - RFE: make TDLs more reusable
Summary: RFE: make TDLs more reusable
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: oz
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Chris Lalancette
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-16 18:46 UTC by Jason Guiditta
Modified: 2016-01-04 14:45 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-07 15:41:47 UTC


Attachments (Terms of Use)

Description Jason Guiditta 2011-09-16 18:46:46 UTC
Description of problem: I have a setup where I am using a tdl as a base to build clean development VMs.  The problem currently is that every time I want to build a new one, I have to change the <name> so it doesn't conflict with the last one I built.  Yes, there are times when this is ok (like if I plan to blow away my old VM every time I create a new one), but this is frequently not the case.  

Something where you can pass in a requested disk images name, or just have oz add a number to the end each time would solve it (I kind of like the latter, less work for the user), though I am sure there are other ways to go about it as well.

Comment 1 Fedora End Of Life 2012-08-07 15:41:49 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.